Bug 42223 - Add ability to upload files via FTP
Add ability to upload files via FTP
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.2
All All
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-04-24 11:50 UTC by Scott Cederberg
Modified: 2007-04-28 03:37 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Cederberg 2007-04-24 11:50:55 UTC
Currently, only FTP download is supported by the FTP Sampler.  It would be
useful to have FTP upload as well.

I'm actually part way through the implementation of this.  I'm doing the work on
company time, but if I can get my employer's approval and work the bugs out,
I'll submit a patch.
Comment 1 Sebb 2007-04-26 15:45:21 UTC
Looks like there are problems with the FTP download hanging. 

This may be tedious to fix, so I'm thinking that the simplest solution would 
be to use an existing library such as the Jakarta Commons Net library. This 
includes an FTP client.

Using this should make the addition of FTP upload much simpler too.
Comment 2 Sebb 2007-04-28 03:37:45 UTC
Fixed in SVN in r533328